[Gpg4win-commits] r1242 - in trunk: . patches patches/dirmngr-1.0.3

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Fri Aug 7 18:37:58 CEST 2009


Author: werner
Date: 2009-08-07 18:37:54 +0200 (Fri, 07 Aug 2009)
New Revision: 1242

Added:
   trunk/patches/dirmngr-1.0.3/
   trunk/patches/dirmngr-1.0.3/01-ldaphttp.patch
Modified:
   trunk/ChangeLog
   trunk/Makefile.am
   trunk/NEWS
   trunk/configure.ac
Log:
Let's try to do an release


Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2009-08-07 15:56:36 UTC (rev 1241)
+++ trunk/ChangeLog	2009-08-07 16:37:54 UTC (rev 1242)
@@ -1,3 +1,10 @@
+2009-08-07  Werner Koch  <wk at g10code.com>
+
+	Release 2.0.0.
+
+	* patches/dirmngr-1.0.3/01-ldaphttp.patch: New.
+	* Makefile.am (EXTRA_DIST): Add it.
+
 2009-08-07  Emanuel Schuetze  <emanuel.schuetze at intevation.de>
 
 	* packages/packages.current: Update kleopatra and kdelibs.

Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	2009-08-07 15:56:36 UTC (rev 1241)
+++ trunk/Makefile.am	2009-08-07 16:37:54 UTC (rev 1242)
@@ -54,6 +54,7 @@
         patches/gnupg2-2.0.12/08-sm-learn-card.patch \
 	patches/gnupg2-2.0.12/09-sm-keylist.patch \
 	patches/gnupg2-2.0.12/10-inv-sgnr.patch \
+	patches/dirmngr-1.0.3/01-ldaphttp.patch \
 	patches/gpgol-0.9.91/01-gpgme.patch \
         patches/gpa-0.9.0/01-title-prop.patch \
 	patches/libetpan-0.57/01-gnutls_compat.patch \

Modified: trunk/NEWS
===================================================================
--- trunk/NEWS	2009-08-07 15:56:36 UTC (rev 1241)
+++ trunk/NEWS	2009-08-07 16:37:54 UTC (rev 1242)
@@ -16,11 +16,11 @@
 
 ~~~~~~~~~~~~~~~
 GnuPG:        2.0.12
-Kleopatra:    20090622
+Kleopatra:    20090807
 GPA:          0.9.0
 GpgOL:        1.0.0
 GpgEX:        0.9.3
-Claws-Mail:   3.7.1
+Claws-Mail:   3.7.2
 Kompendium:   3.0.0-beta3
 ~~~~~~~~~~~~~~~
 

Modified: trunk/configure.ac
===================================================================
--- trunk/configure.ac	2009-08-07 15:56:36 UTC (rev 1241)
+++ trunk/configure.ac	2009-08-07 16:37:54 UTC (rev 1242)
@@ -26,7 +26,7 @@
 # "svn up" and "autogen.sh" right before creating a distribution.
 # Right after a release the make target "copy-news" is to be called!
 m4_define([my_version], [2.0.0])
-m4_define([my_issvn], [yes])
+m4_define([my_issvn], [no])
 
 m4_define([svn_revision], m4_esyscmd([echo -n $( (svn info 2>/dev/null \
           ||echo 'Revision: 0')|sed -n '/^Revision:/ s/[^0-9]//gp'|head -1)]))

Added: trunk/patches/dirmngr-1.0.3/01-ldaphttp.patch
===================================================================
--- trunk/patches/dirmngr-1.0.3/01-ldaphttp.patch	2009-08-07 15:56:36 UTC (rev 1241)
+++ trunk/patches/dirmngr-1.0.3/01-ldaphttp.patch	2009-08-07 16:37:54 UTC (rev 1242)
@@ -0,0 +1,50 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+2009-08-07  Werner Koch  <wk at g10code.com>
+
+	* crlfetch.c (my_es_read): Add explicit check for EOF.
+
+2009-07-20  Werner Koch  <wk at g10code.com>
+
+	* ldap.c (end_cert_fetch_ldap): Release the reader.
+	Might fix bug#999.
+
+
+
+--- src/ldap.c
++++ src/ldap.c
+@@ -1420,7 +1451,11 @@ end_cert_fetch_ldap (cert_fetch_context_t context)
+ {
+   if (context)
+     {
++      ksba_reader_t reader = context->reader;
++
+       xfree (context->tmpbuf);
+       xfree (context);
++      ldap_wrapper_release_context (reader);
++      ksba_reader_release (reader);
+     }
+ }
+
+
+--- src/crlfetch.c      (revision 313)
++++ src/crlfetch.c      (working copy)
+@@ -105,6 +105,12 @@ my_es_read (void *opaque, char *buffer, size_t nby
+   result = es_read (cb_ctx->fp, buffer, nbytes, nread);
+   if (result)
+     return result;
++  /* Fixme we should check whether the semantics of es_read are okay
++     and well defined.  I have some doubts.  */
++  if (nbytes && !*nread && es_feof (cb_ctx->fp))
++    return gpg_error (GPG_ERR_EOF);
++  if (!nread && es_ferror (cb_ctx->fp))
++    return gpg_error (GPG_ERR_EIO);
+ 
+   if (!cb_ctx->checked && *nread)
+     {
+
+
+
+


Property changes on: trunk/patches/dirmngr-1.0.3/01-ldaphttp.patch
___________________________________________________________________
Name: svn:executable
   + *



More information about the Gpg4win-commits mailing list